XFcBtServerSearch class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcBtServerSearch Class Reference

Collaboration diagram for XFcBtServerSearch:

[legend]
List of all members.

## Public Member Functions

virtual | ~XFcBtServerSearch ()
| Virtual destructor.
XFCIMPORT INT | inquiry (XFcDeviceDiscovery *aDeviceDiscovery, const XFcBtUUID &aUuid)
| Inquiry servers.
XFCIMPORT void | cancelInquiry ()
| Cancel server inquiry.
XFCIMPORT void | inquiryResult (XFcLinkedList< XFcAdvertiser * > &aAdvertiser)
| Callback for inquiry result.

## Static Public Member Functions

XFCIMPORT XFcBtServerSearch * | create ()
| Static constructor.

## Protected Member Functions

| XFcBtServerSearch ()
| Protected constructor.
INT | init ()
| Initializes XFcBtServerSearch.

## Private Attributes

XFcDeviceDiscovery * | mDeviceDiscovery
| Holds device discovery callback pointer.
void * | mService
| Holds server search pointer.

## Constructor & Destructor Documentation

XFcBtServerSearch::XFcBtServerSearch | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFcBtServerSearch::~XFcBtServerSearch | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

XFCIMPORT void XFcBtServerSearch::cancelInquiry | ( |  | ) |

| Cancel server inquiry.

XFCIMPORT XFcBtServerSearch* XFcBtServerSearch::create | ( |  | ) | `[static]`

| Static constructor. Constructs a server search object.

INT XFcBtServerSearch::init | ( |  | ) | `[protected]`

| Initializes XFcBtServerSearch.

XFCIMPORT INT XFcBtServerSearch::inquiry | ( | XFcDeviceDiscovery * | aDeviceDiscovery,
|  | const XFcBtUUID & | aUuid
| ) |

Inquiry servers.

Returns:
  if success return value is 0 else -1.

XFCIMPORT void XFcBtServerSearch::inquiryResult | ( | XFcLinkedList< XFcAdvertiser * > & | aAdvertiser | ) |

| Callback for inquiry result.

## Member Data Documentation

XFcDeviceDiscovery* XFcBtServerSearch::mDeviceDiscovery`[private]`

| Holds device discovery callback pointer.

void* XFcBtServerSearch::mService`[private]`

| Holds server search pointer.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch